<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Mitr:wght@300&display=swap" rel="stylesheet">
    <style>
        * {
          margin: 0;
          padding: 0;
        }
        body {
          background-image: url({{ url_for('static', filename='img/bg.jpg') }});
          background-repeat: no-repeat;
          background-attachment: fixed;
          background-size: 100% 100%;
           font-family: 'Mitr', sans-serif;
        }
        .chartMenu {
          width: 100vw;
          height: 60px;
          background: #03A96B;
          color: white;
        }
        .chartMenu p {
          padding: 10px;
          font-size: 28px;
        }
        table, th, td {
          border: 1px solid black;
           border-collapse: collapse;
        }
        .error {
          color: red;
          margin-left: 10px;
          font-size: large;
        }
      </style>
    <title>Home</title>
    <!-- <script src="{{ url_for('static', filename = 'data.js') }}"></script> -->
</head>
<body>
    </form>
    <div class="chartMenu">
        <p>โปรแกรมประยุกต์บนเว็บเพื่อการทำนายคุณสมบัติการต่อต้านจุลชีพของเปปไทด์สายสั้น</p>
      </div><br>
      <div class="container">
        {% with messages = get_flashed_messages(with_categories=true) %}
        {% for category, message in messages %}
          <div class="{{ category }}">{{ message }}</div>
        {% endfor %}
      {% endwith %}
      </div>
            <form method="POST">
              <br>
                <div style="margin-left: 100px;font-size: 20px;">Input : </div>
                <div style="margin-left: 100px;font-size: 20px;">EX : AAA,BBB </div><br>
                <div style="margin-left: 250px;font-size: 18px;"><textarea id="text" name="text" style="width: 750px;height: 325px;"></textarea></div><br>
                <input type="submit" value="submit" style="margin-left: 250px;padding-left: 345px;padding-right: 345px;padding-top: 5px;padding-bottom: 5px;background-color: #03A96B;color: white;font-size: 20px;"><br><br>
                <hr style="width:100%;text-align:left;margin-left:0">
                <br>
                <div style="margin-left: 100px;font-size: 20px;">Output :</div><br>
        <div class="chartBox" style="margin-left: 250px;width: 700px;padding: 20px;border-radius: 20px;border: solid 3px rgba(29, 99, 255, 1);background: white;">
            <div style="text-align: center;font-size: 20px;">AMP <label id = "AMP"></label></div>
          <canvas id="myChart"></canvas>
        </div>
        <div class="chartBox" style="margin-left: 250px;width: 700px;padding: 20px;border-radius: 20px;border: solid 3px rgba(29, 99, 255, 1);background: white;">
            <div style="text-align: center;font-size: 20px;">NO <label id = "NO"></label> </div>
        </div><br>
        <hr style="width:100%;text-align:left;margin-left:0">
        <br>
             <input type="radio" id="AMP_button" name="button" value="AMP" onclick="uncheck()" style="margin-left: 250px;">
              <label for="AMP_button">AMP</label>
              <input type="radio" id="No_button" name="button" value="No" onclick="uncheck()">
              <label for="No_button">No</label>
              <input type="radio" id="other_button" name="button" value="other" onclick="check()">
              <label for="other_button">ABP/AFP/AVP</label><br>
              <input type="checkbox" id="ABP_button" name="ABP_button" value="ABP" disabled="disabled" onclick="other()" style="margin-left: 410px;">
              <label for="ABP_button"> ABP</label><br>
              <input type="checkbox" id="AFP_button" name="AFP_button" value="AFP" disabled="disabled" onclick="other()" style="margin-left: 410px;">
              <label for="AFP_button"></label> AFP</label><br>
              <input type="checkbox" id="AVP_button" name="AVP_button" value="AVP" disabled="disabled" onclick="other()" style="margin-left: 410px;">
              <label for="AVP_button"> AVP</label><br><br>
            <div class="chartBox" style="margin-left: 250px;width: 1400px;padding: 20px;border-radius: 20px;border: solid 3px rgba(29, 99, 255, 1);background: white;">
             <table id="table">
                <tr>
                </tr>
              </table>

            </div>
    </form>
      <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/chart.js/dist/chart.umd.min.js"></script>
      <script type="text/javascript" src="https://unpkg.com/chartjs-chart-venn@3.6.0/build/index.umd.min.js"></script>
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
      <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
      <script>
      var venn_ABP = {{ data_ABP|safe }}
      var venn_AFP = {{ data_AFP|safe }}
      var venn_AVP = {{ data_AVP|safe }}
      // setup 
      const data = ChartVenn.extractSets(
        data_venn = [
      {
        label: 'ABP',
        values: venn_ABP
     },
      {
        label: 'AFP',
        values: venn_AFP
    },
    {
       label: 'AVP',
        values: venn_AVP
    }
    ],
    {
        label: ' ',

    },
      );
  
      // config 
      const config = {
        type: 'venn',
        data,
        options: {
            borderColor: [
          'rgba(255, 26, 104, 1)',
          'rgba(54, 162, 235, 1)',
          'rgba(255, 206, 86, 1)',
          'rgba(75, 192, 192, 1)',
          'rgba(153, 102, 255, 1)',
          'rgba(255, 159, 64, 1)',
          'rgba(0, 0, 0, 1)'
        ],
        backgroundColor: [
          'rgba(255, 26, 104, 0.2)',
          'rgba(54, 162, 235, 0.2)',
          'rgba(255, 206, 86, 0.2)',
          'rgba(75, 192, 192, 0.2)',
          'rgba(153, 102, 255, 0.2)',
          'rgba(255, 159, 64, 0.2)',
          'rgba(0, 0, 0, 0.2)'
        ]
        }
      };
  
      // render init block
      const myChart = new Chart(
        document.getElementById('myChart'),
        config
      );
  
      </script>
      <script>
        function tbdDataTable(data) {
	//Loop and process
	//data = data || [];
	
	var table = $("#table").DataTable({
		destroy: true,
		searching: false,
		paging: false,
		scrollY: '500px',
        scrollCollapse: true,
		bInfo: false,
		sInfo: false,
		bSort: false,
		bProcessing: true,
		autoWidth: false,
		responsive: true,
		data: data,
		columns:[
			{
				title : "No.",
				width : "2%",
				defaultContent : "",
				class : "text-center",
				render : function(data, type, row, meta) {
					return data;
				},
			},
			{
				title : "Name",
				width : "35%",
				data : "Name",
				defaultContent : "",
				class : "text-left",
				render : function(data, type, row) {
					return data;
				},
			},
			{
				title : "AMP",
				width : "2%",
				data : "AMP",
				defaultContent : "0",
				class : "text-center",
				render : function(data, type, row) {
					return data;
				},
			},
			{
				title : "ABP",
				width : "2%",
				data : "ABP",
				defaultContent : "0",
				class : "text-center",
				render : function(data, type, row) {
					return data;
				},
			},
			{
				title : "AFP",
				width : "2%",
				data : "AFP",
				defaultContent : "0",
				class : "text-center",
				render : function(data, type, row) {
					return data;
				},
			},
			{
				title : "AVP",
				width : "2%",
				data : "AVP",
				defaultContent : "0",
				class : "text-center",
				render : function(data, type, row) {
					return data;
				},
			},
			{
				title : "Source",
				width : "55%",
				data : "Source",
				defaultContent : "-",
				class : "text-left",
				render : function(data, type, row) {
          text = "";
          for (let i = 0; i < data.length; i++) {
             text += data[i] + "<br>";
          } 
          return text;
				},
			}
		],
		"fnRowCallback": function (nRow, aData, iDisplayIndex) {
		     var info = $(this).DataTable().page.info();
		     $("td:nth-child(1)", nRow).html(info.start + iDisplayIndex + 1);
		     return nRow;
		 }
	});
}
var jsonObj_AMP = {{ obj_AMP|safe }}
var jsonObj_NO = {{ obj_NO|safe }}
var jsonObj_ABP_AFP_AVP = {{ obj_ABP_AFP_AVP|safe }}
var jsonObj_ABP_AFP = {{ obj_ABP_AFP|safe }}
var jsonObj_AFP_AVP = {{ obj_AFP_AVP|safe }}
var jsonObj_AVP_ABP = {{ obj_ABP_AVP|safe }}
var jsonObj_ABP = {{ obj_ABP|safe }}
var jsonObj_AFP = {{ obj_AFP|safe }}
var jsonObj_AVP = {{ obj_AVP|safe }}

      </script>
      <script>
        function check(){
            document.getElementById('ABP_button').disabled = false;
            document.getElementById('AFP_button').disabled = false;
            document.getElementById('AVP_button').disabled = false;
    }
        function uncheck(){
            document.getElementById('ABP_button').disabled = true;
            document.getElementById('AFP_button').disabled = true;
            document.getElementById('AVP_button').disabled = true;
            document.getElementById('ABP_button').checked = false;
            document.getElementById('AFP_button').checked = false;
            document.getElementById('AVP_button').checked = false;
            if(document.getElementById('AMP_button').checked){
              tbdDataTable(jsonObj_AMP);
            }else if(document.getElementById('No_button').checked){
              tbdDataTable(jsonObj_NO);
            }
    }
        function other(){
          if(document.getElementById('ABP_button').checked && document.getElementById('AFP_button').checked && document.getElementById('AVP_button').checked){
              tbdDataTable(jsonObj_ABP_AFP_AVP);
            }else if(document.getElementById('ABP_button').checked && document.getElementById('AFP_button').checked){
              tbdDataTable(jsonObj_ABP_AFP);
            }else if(document.getElementById('AFP_button').checked && document.getElementById('AVP_button').checked){
              tbdDataTable(jsonObj_AFP_AVP);
            }else if(document.getElementById('ABP_button').checked && document.getElementById('AVP_button').checked){
              tbdDataTable(jsonObj_AVP_ABP);
            }else if(document.getElementById('ABP_button').checked){
              tbdDataTable(jsonObj_ABP);
            }else if(document.getElementById('AFP_button').checked){
              tbdDataTable(jsonObj_AFP);
            }else if(document.getElementById('AVP_button').checked){
              tbdDataTable(jsonObj_AVP);
            }
        }
    document.getElementById('AMP').innerHTML= jsonObj_AMP.length;
    document.getElementById('NO').innerHTML= jsonObj_NO.length;

      </script>
</body>
</html>